## org.apache.taglibs.standard.lang.jstl
Class RelationalOperator

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.BinaryOperator
          org.apache.taglibs.standard.lang.jstl.RelationalOperator

Direct Known Subclasses:
  GreaterThanOperator, GreaterThanOrEqualsOperator, LessThanOperator, LessThanOrEqualsOperator

    public abstract class RelationalOperator

extends BinaryOperator

This is the superclass for all relational operators (except == or !=)

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`RelationalOperator()`

Method Summary
`abstract boolean` `apply(double pLeft, double pRight, Logger pLogger)` Applies the operator to the given double values
`abstract boolean` `apply(long pLeft, long pRight, Logger pLogger)` Applies the operator to the given long values
`Object` `apply(Object pLeft, Object pRight, Object pContext, Logger pLogger)` Applies the operator to the given value
`abstract boolean` `apply(String pLeft, String pRight, Logger pLogger)` Applies the operator to the given String values

Methods inherited from class org.apache.taglibs.standard.lang.jstl.BinaryOperator
`getOperatorSymbol, shouldCoerceToBoolean, shouldEvaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationalOperator

    public RelationalOperator()

Method Detail

### apply

    public Object apply(Object pLeft,
                        Object pRight,
                        Object pContext,
                        Logger pLogger)
                 throws ELException

  Applies the operator to the given value

  Specified by:
    `apply` in class `BinaryOperator`
  Throws:
    `ELException`

### apply

    public abstract boolean apply(double pLeft,
                                  double pRight,
                                  Logger pLogger)

  Applies the operator to the given double values

### apply

    public abstract boolean apply(long pLeft,
                                  long pRight,
                                  Logger pLogger)

  Applies the operator to the given long values

### apply

    public abstract boolean apply(String pLeft,
                                  String pRight,
                                  Logger pLogger)

  Applies the operator to the given String values

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.